Refund a standard receipt
post
/fscmRestApi/resources/11.13.18.05/standardReceipts/{StandardReceiptId}/action/refundReceipt
Creates a refund for all or part of an existing standard receipt using the specified refund amount and payment method.
Request
Path Parameters
-
StandardReceiptId(required): integer(int64)
The unique identifier of the standard receipt.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/vnd.oracle.adf.action+json
Root Schema : schema
Type:
Show Source
object-
amount: number
Amount of the receipt to refund.
-
calledFrom: string
Identifier of the caller or process that initiated the refund, such as REST or an integration name. Used for audit and downstream processing.
-
paymentMethodCode: string
Code that identifies the payment method used to issue the refund.
Response
Supported Media Types
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
The following table describes the default response for this task.
Root Schema : schema
Type:
Show Source
object-
result(required): string
If the request is successful, then this action returns a value of SUCCESS. Otherwise, this action returns errors.